LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 06-11-2013, 08:24 PM   #1
jotapdiez
Member
 
Registered: Apr 2010
Location: -current
Distribution: Slackware
Posts: 34

Rep: Reputation: 0
Eclipse crash after update to -current


Hi all!!

After update to current, eclipse crash after open method list (ctrl space) and select an option. Before the update, eclipse works fine.

The error is:
Quote:
$ ./eclipse
GLib-GObject:ERROR:gobject.c:4127:g_weak_ref_set: assertion failed: (weak_locations != NULL)
Aborted
Trying to fix it, I reinstalled several packages like kwebkitpart, gtk, glib, glib2, glibc, pygobject, gcc-go, gobject-introspection and a lot more but nothing fix.

Searching on google I found nothing... but I think that is problem of xulrunner (I don't remember why I got this conclusion).
So, after a lot of problems with xulrunner v15 and v21 I got the version 15 running. But eclipse still not working.

Quote:
$ xulrunner --version
Mozilla XULRunner 15.0.1 - 20130611010647
I search on this forum and found:
http://www.linuxquestions.org/questi...-crash-842137/

But, using seamonkey I get new error with eclipse on the same place (open method list with ctrl space):
Quote:
#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00000000, pid=1798, tid=3075806912
#
# JRE version: 6.0_27-b07
# Java VM: Java HotSpot(TM) Client VM (20.2-b06 mixed mode, sharing linux-x86 )
# Problematic frame:
# C 0x00000000
#
# An error report file with more information is saved as:
# /home/juanpablo/applications/eclipse/hs_err_pid1798.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
So, somebody have been fixed this error? How?

My machine:
Quote:
$ uname -a
Linux jotapdiez_4 3.8.13-smp #2 SMP Sun May 12 19:59:29 CDT 2013 i686 Intel(R) Core(TM)2 Duo CPU T5670 @ 1.80GHz GenuineIntel GNU/Linux
- Eclipse Juno (Downloaded yesterday) with no plugins.

Thanks in advance
Sorry about my English
Regards Juan Pablo from Argentina

Last edited by jotapdiez; 06-11-2013 at 08:30 PM.
 
Old 06-11-2013, 10:51 PM   #2
comet.berkeley
Member
 
Registered: Dec 2009
Location: California
Distribution: Slackware current
Posts: 153

Rep: Reputation: Disabled
Just as the test is all set up, current has changed...

There were lots of updates yesterday including the kernel and gcc-java.

http://slackware.com/changelog/

$ uname -a
Linux darkstar 3.9.5 #2 SMP Mon Jun 10 00:44:04 CDT 2013 ...
 
Old 06-11-2013, 11:14 PM   #3
jotapdiez
Member
 
Registered: Apr 2010
Location: -current
Distribution: Slackware
Posts: 34

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by comet.berkeley View Post
Just as the test is all set up, current has changed...

There were lots of updates yesterday including the kernel and gcc-java.

http://slackware.com/changelog/

$ uname -a
Linux darkstar 3.9.5 #2 SMP Mon Jun 10 00:44:04 CDT 2013 ...
Thanks for your answer.

I don't figured out that new updates are available. Updating...
 
Old 06-12-2013, 01:37 AM   #4
BrZ
Member
 
Registered: Apr 2009
Distribution: Slackware
Posts: 501

Rep: Reputation: 83
webkitgtk? A _little_ bump on JRE seems a good idea =]
 
Old 06-12-2013, 07:34 PM   #5
jotapdiez
Member
 
Registered: Apr 2010
Location: -current
Distribution: Slackware
Posts: 34

Original Poster
Rep: Reputation: 0
Updating to -Current not fix the eclipse error.

Quote:
Originally Posted by BrZ View Post
webkitgtk? A _little_ bump on JRE seems a good idea =]
I'm trying this right now.

EDIT: webkitgtk is not compiling.

Last edited by jotapdiez; 06-12-2013 at 08:43 PM.
 
Old 06-13-2013, 10:33 AM   #6
tdos20
Member
 
Registered: Aug 2006
Location: London
Distribution: Slackware
Posts: 103

Rep: Reputation: 29
Have you tried opening a different/new workspace?
 
Old 06-13-2013, 11:58 PM   #7
jotapdiez
Member
 
Registered: Apr 2010
Location: -current
Distribution: Slackware
Posts: 34

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by tdos20 View Post
Have you tried opening a different/new workspace?
Yes. I tried that, but eclipse still throwing error.
 
Old 06-14-2013, 12:16 AM   #8
jotapdiez
Member
 
Registered: Apr 2010
Location: -current
Distribution: Slackware
Posts: 34

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by BrZ View Post
webkitgtk? A _little_ bump on JRE seems a good idea =]
After install webkitgtk from here (1.4.1) eclipse still throwing error.
 
Old 06-14-2013, 03:03 AM   #9
a4z
Member
 
Registered: Feb 2009
Posts: 492

Rep: Reputation: 166Reputation: 166
I have here eclipse cdt on Slackware current, jdk-7u21-x86_64, for me it works so far without problems.

I know that this may not help you, and may even be frustrating that it works on someone else machine, but at least it could point to the fact that a (more or less) clean Slackware current may not be responsible for the problem.
 
Old 06-14-2013, 10:32 AM   #10
tdos20
Member
 
Registered: Aug 2006
Location: London
Distribution: Slackware
Posts: 103

Rep: Reputation: 29
The other possibility worth trying is bypassing the workspace selector by appending
Code:
-data your_workspace_location
I think I had a similar problem and solved it this way
 
Old 06-14-2013, 03:35 PM   #11
jotapdiez
Member
 
Registered: Apr 2010
Location: -current
Distribution: Slackware
Posts: 34

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by a4z View Post
I have here eclipse cdt on Slackware current, jdk-7u21-x86_64, for me it works so far without problems.

I know that this may not help you, and may even be frustrating that it works on someone else machine, but at least it could point to the fact that a (more or less) clean Slackware current may not be responsible for the problem.
Before the first update, eclipse worked good. I will update JDK. I don't know what more to do

Quote:
Originally Posted by tdos20 View Post
The other possibility worth trying is bypassing the workspace selector by appending
Code:
-data your_workspace_location
I think I had a similar problem and solved it this way
Thanks but, with -data path/to/workspace eclipse still not working
 
Old 06-14-2013, 05:52 PM   #12
Alien Bob
Slackware Contributor
 
Registered: Sep 2005
Location: Eindhoven, The Netherlands
Distribution: Slackware
Posts: 5,334

Rep: Reputation: Disabled
I ran eclipse here on Slackware64-current with OpenJDK 7u40 installed. No issues when I open the method list in a class source file (Ctrl Space) and select an option.

Eric
 
Old 06-14-2013, 06:06 PM   #13
jotapdiez
Member
 
Registered: Apr 2010
Location: -current
Distribution: Slackware
Posts: 34

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by Alien Bob View Post
I ran eclipse here on Slackware64-current with OpenJDK 7u40 installed. No issues when I open the method list in a class source file (Ctrl Space) and select an option.

Eric
Yes, before update, I have been using eclipse very well but some package make eclipse crashes...

I will try decreasing/increasing Glib packages.

Last edited by jotapdiez; 06-14-2013 at 06:18 PM.
 
Old 06-14-2013, 06:51 PM   #14
philanc
Member
 
Registered: Jan 2011
Posts: 71

Rep: Reputation: 33
Quote:
Originally Posted by jotapdiez View Post
Yes, before update, I have been using eclipse very well but some package make eclipse crashes...

I will try decreasing/increasing Glib packages.
Maybe you could first install a recent JRE?

HTH

Phil
 
Old 06-14-2013, 06:54 PM   #15
jotapdiez
Member
 
Registered: Apr 2010
Location: -current
Distribution: Slackware
Posts: 34

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by philanc View Post
Maybe you could first install a recent JRE?

HTH

Phil
I tried that just running eclipse with the option -vm and pointing to a uncompresed version of JDK7.

Quote:
./eclipse -debug -vm ../jdk1.7.0_01/jre/lib/i386/client/libjvm.so
Is the same right?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Eclipse 3.6 autocomplete crash cheires Slackware 4 02-28-2012 03:48 AM
[SOLVED] eclipse crash on fedora 15 mario.almeida Linux - Software 2 08-18-2011 03:30 AM
Slackware Crash when update to current MarcosPauloBR Slackware 3 03-19-2011 12:12 AM
[SOLVED] Eclipse crash in Slackware 13.1 every couple minuts ZebraIzToronto Slackware 3 02-13-2011 03:33 PM
KDE fontsize and Eclipse Crash Snyke Linux - Software 2 09-14-2005 04:48 PM


All times are GMT -5. The time now is 01:40 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration